library(aLFQ)

setwd("C:\\Users\\schorkzs\\UNI\\Projekte und Tickets\\Britta Eggers\\Britta_aLFQ\\")


DATA <- import(ms_filenames = "DATA_peptide_loess_originalscale_frR_Skript_absolute_estimation4.csv", ms_filetype = "openmslfq",
               averageruns=FALSE, sumruns=FALSE)

### calculate absolute quantification for each sample
DATA_split <- split(DATA, DATA$run_id)
DATA_abs_quant <- NULL
for (i in 1:56) {
  ProtInference_IBAQ <- ProteinInference(data = DATA_split[[i]], peptide.method = "iBAQ", fasta = "uniprot_complete-mouse_and_cRAP-better_parseable_header-decoy_2018_06.fasta")
  absQuant <- AbsoluteQuantification(data = ProtInference_IBAQ, total_protein_concentration = 200)  ### concentration 200ng for each sample
  DATA_abs_quant <- rbind(DATA_abs_quant, absQuant$estimation)
}

absQuant$estimation <- DATA_abs_quant

### export uantification
export(absQuant, "results_IBAQ3.csv")


